# Technology

## Get a summary of technology that was identified.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/technology/summary.json`

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 33,
        "sort": "1"
    },
    "pagination": {
        "total": 23,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "count_instance": 7,
            "count_target": [],
            "technology": {
                "name": "Google Analytics",
                "id": 1
            }
        },
        {
            "count_instance": 10,
            "count_target": [],
            "technology": {
                "name": "Nginx",
                "id": 486
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## List technology that was identified along with versions and risk.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/technology/list.json`

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 33,
        "sort": "1"
    },
    "pagination": {
        "total": 60,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "risk": 2,
            "technology": {
                "name": "OpenSSH",
                "id": 21
            },
            "detail": "22/tcp",
            "source": "Firewall",
            "risk_reason": "Version Vulnerable",
            "version": "7.4",
            "target": {
                "name": "",
                "host": "example.com",
                "id": 12345
            }
        },
        {
            "risk": 2,
            "technology": {
                "name": "Nginx",
                "id": 486
            },
            "detail": "80/tcp",
            "source": "Firewall",
            "risk_reason": "Version Vulnerable",
            "version": "1.15.8",
            "target": {
                "name": "",
                "host": "example.com",
                "id": 12345
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get information about a specific technology that was found.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/technology/get.json`

#### Query Parameters

| Name                                 | Type    | Description |
| ------------------------------------ | ------- | ----------- |
| id<mark style="color:red;">\*</mark> | Integer |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 33,
        "sort": "1"
    },
    "technology": {
        "name": "Nginx",
        "id": 486,
        "type": "Firewall",
        "category": "Web",
        "vendor_url": "https://nginx.org"
    }
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 0,
    "message": "app not found"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "id required"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/technology.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
